Heroes of Might and Magic Community
visiting hero! Register | Today's Posts | Games | Search! | FAQ/Rules | AvatarList | MemberList | Profile


Age of Heroes Headlines:  
5 Oct 2016: Heroes VII development comes to an end.. - read more
6 Aug 2016: Troubled Heroes VII Expansion Release - read more
26 Apr 2016: Heroes VII XPack - Trial by Fire - Coming out in June! - read more
17 Apr 2016: Global Alternative Creatures MOD for H7 after 1.8 Patch! - read more
7 Mar 2016: Romero launches a Piano Sonata Album Kickstarter! - read more
19 Feb 2016: Heroes 5.5 RC6, Heroes VII patch 1.7 are out! - read more
13 Jan 2016: Horn of the Abyss 1.4 Available for Download! - read more
17 Dec 2015: Heroes 5.5 update, 1.6 out for H7 - read more
23 Nov 2015: H7 1.4 & 1.5 patches Released - read more
31 Oct 2015: First H7 patches are out, End of DoC development - read more
5 Oct 2016: Heroes VII development comes to an end.. - read more
[X] Remove Ads
LOGIN:     Username:     Password:         [ Register ]
New Server | HOMM1: info forum | HOMM2: info forum | HOMM3: info forum | HOMM4: info forum | HOMM5: info forum | MMH6: wiki forum | MMH7: wiki forum
Heroes Community > Heroes 3.5 - WoG and Beyond > Thread: Official VCMI Thread
Thread: Official VCMI Thread This thread is 90 pages long: 1 2 3 4 5 ... 20 40 60 80 ... 86 87 88 89 90 · «PREV
Baronus
Baronus


Supreme Hero
posted June 10, 2017 05:15 PM

Ok its very important and usefull. But battle AI needs too some work. Computer still attacks if you want get city :-) Should stay in walls.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
leozx
leozx

Tavern Dweller
posted July 15, 2017 02:44 AM
Edited by leozx at 02:45, 15 Jul 2017.

Excuse me.
Where can I get the latest vcmi daily build?
https://builds.vcmi.download/ show nothing in "release" path.
PS.My OS is windows10.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Baronus
Baronus


Supreme Hero
posted July 15, 2017 08:13 AM

You must go ahead:-) To build.
https://builds.vcmi.download/PR/342/Windows/

And I must told that I again cant install new type of builds on 32bit Windows OS...

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
avatar
avatar


Famous Hero
posted July 15, 2017 08:30 AM

Builds under PR directory are experimental builds, not widely tested and often unstable.

Normal daily builds are under this folder:
https://builds.vcmi.download/branch/develop/Windows/

And work fine under my 32-bit Windows10.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
leozx
leozx

Tavern Dweller
posted July 15, 2017 06:44 PM

Thx both of you.
I put VCMI(branch version)in GOG Heroes3,and install some town mods.
It's work fine under my 64-bit Windows10.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Baronus
Baronus


Supreme Hero
posted July 15, 2017 08:21 PM
Edited by Baronus at 21:01, 15 Jul 2017.

Thanks Avatar if works you works me :-) I will try and tell :-)
...

No way.
No procedure cancelIoEx KERNEL32.dll

Looks like 64 bit only. But ok. I have old version and this not final. They changing it all the time.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
SXX
SXX

Tavern Dweller
posted July 15, 2017 09:17 PM

Baronus said:
No way.
No procedure cancelIoEx KERNEL32.dll

Looks like 64 bit only. But ok. I have old version and this not final. They changing it all the time.
What Windows version do you have?

We will no longer support Windows XP because we'll soon switch to newer version of libraries that no longer work with it. It's totally possible to make it work by building it with older versions, but that would require to waste time on it.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Baronus
Baronus


Supreme Hero
posted July 15, 2017 09:22 PM

Ok! I understand! Of course you build it for newest not for oldest OS!

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
SXX
SXX

Tavern Dweller
posted July 15, 2017 09:28 PM

Baronus said:
Ok! I understand! Of course you build it for newest not for oldest OS!
It's still possible to build it for XP, but automation we using are no longer provide Qt version compatible with XP so launcher won't work and there another bug that cause crash on server startup. Since no developers use XP there simply no way to debug it.

If some developer want to setup automation to build VCMI against older version of libraries for XP it's totally doable though.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Jump To: « Prev Thread . . . Next Thread » This thread is 90 pages long: 1 2 3 4 5 ... 20 40 60 80 ... 86 87 88 89 90 · «PREV
Post New Poll    Post New Topic    Post New Reply

Page compiled in 0.0260 seconds